# Class SphereNet.Line3d

java.lang.Object
uk.ac.starlink.ttools.plot2.geom.SphereNet.Line3d

All Implemented Interfaces:
  `Iterable<double[]>`

Enclosing class:
  `SphereNet`

public static class SphereNet.Line3d extends Object implements Iterable<double[]>
Represents a set of 3-d points that can be joined together to make a grid line. The first element is the same as the last.

Since:
  15 Aug 2018
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`Iterator<double[]>`
`iterator()`
Returns an iterator over double[3]s representing 3d points.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface Iterable

`forEach, spliterator`

## Method Details

### iterator

public Iterator<double[]> iterator()
Returns an iterator over double[3]s representing 3d points.

Specified by:
  `iterator` in interface `Iterable<double[]>`